Bug 459124 - Missed Obsolete: cpufrequtils
Missed Obsolete: cpufrequtils
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: cpufreq-utils (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 11:42 EDT by Pavel Alexeev
Modified: 2008-11-07 17:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-07 17:49:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2008-08-14 11:42:31 EDT
As I can understand in Fedora9 packet renamed from cpufrequtils to cpufreq-utils, but it is not written in spec in Obsolete tag. So, it is broke update process:

[root@note ~]# yum -d1 upgrade

=============================================================================
 Package                 Арх.       Версия           Repository        Size 
=============================================================================
Updating:
 cpufreq-utils           x86_64     1:002-1.1.42.fc9  fedora             38 k

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       1 Package(s)         
Remove       0 Package(s)         

Total size: 38 k
Выполнить [y/N]: y


Transaction Check Error:
  file /usr/bin/cpufreq-info from install of cpufreq-utils-002-1.1.42.fc9.x86_64 conflicts with file from package cpufrequtils-003-1.fc9.x86_64
  file /usr/bin/cpufreq-set from install of cpufreq-utils-002-1.1.42.fc9.x86_64 conflicts with file from package cpufrequtils-003-1.fc9.x86_64
  file /usr/bin/powernow-k8-decode from install of cpufreq-utils-002-1.1.42.fc9.x86_64 conflicts with file from package cpufrequtils-003-1.fc9.x86_64
  file /usr/lib64/libcpufreq.so.0.0.0 from install of cpufreq-utils-002-1.1.42.fc9.x86_64 conflicts with file from package cpufrequtils-003-1.fc9.x86_64
  file /usr/share/locale/de/LC_MESSAGES/cpufrequtils.mo from install of cpufreq-utils-002-1.1.42.fc9.x86_64 conflicts with file from package cpufrequtils-003-1.fc9.x86_64
  file /usr/share/locale/fr/LC_MESSAGES/cpufrequtils.mo from install of cpufreq-utils-002-1.1.42.fc9.x86_64 conflicts with file from package cpufrequtils-003-1.fc9.x86_64
  file /usr/share/locale/it/LC_MESSAGES/cpufrequtils.mo from install of cpufreq-utils-002-1.1.42.fc9.x86_64 conflicts with file from package cpufrequtils-003-1.fc9.x86_64

Error Summary
-------------
Comment 1 Jarod Wilson 2008-08-14 12:05:53 EDT
Hrm, not sure how that slipped through... Its fixed in current cvs and the cpufrequtils-005-1.fc9 package in koji. I'll just go ahead and push that as an update, once the updates system is back in action...
Comment 2 Jarod Wilson 2008-08-20 09:40:26 EDT
Okay, its been submitted, should make its way over to the updates repo soonish.

Note You need to log in before you can comment on or make changes to this bug.